summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/chain/0003rename_1
diff options
context:
space:
mode:
authorArushi Singhal <arushisinghal19971997@gmail.com>2018-07-07 14:08:38 +0530
committerFlorian Westphal <fw@strlen.de>2018-07-07 23:51:27 +0200
commit17c66a50608864e114766fb16731bad4cfdb558e (patch)
tree49db95dce25358f0947caaacafff978f3b801d96 /iptables/tests/shell/testcases/chain/0003rename_1
parent6c2118c30c85a29ef54cc8597a36a4884cb5d5cb (diff)
iptables: tests: shell: Add README
1) README is added to run test suite. 2) Rename two test-case scripts to follow proper numerical order. 3) "echo -en "\033[1A\033[K" # clean the [EXECUTING] foobar line" command should only used when verbose("-v") option is not there else instead of clearing "[EXECUTING]" prompt it is clearing last prompt of the test file. Signed-off-by: Arushi Singhal <arushisinghal19971997@gmail.com> Signed-off-by: Florian Westphal <fw@strlen.de>
Diffstat (limited to 'iptables/tests/shell/testcases/chain/0003rename_1')
-rwxr-xr-xiptables/tests/shell/testcases/chain/0003rename_112
1 files changed, 12 insertions, 0 deletions
diff --git a/iptables/tests/shell/testcases/chain/0003rename_1 b/iptables/tests/shell/testcases/chain/0003rename_1
new file mode 100755
index 00000000..975c8e19
--- /dev/null
+++ b/iptables/tests/shell/testcases/chain/0003rename_1
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+$XT_MULTI iptables -N c1 || exit 0
+$XT_MULTI iptables -N c2 || exit 0
+$XT_MULTI iptables -E c1 c2 || exit 1
+
+$XT_MULTI ip6tables -N c1 || exit 0
+$XT_MULTI ip6tables -N c2 || exit 0
+$XT_MULTI ip6tables -E c1 c2 || exit 1
+
+echo "E: Renamed with existing chain" >&2
+exit 0